sap.ui.define([
	"sap/ui/core/UIComponent",
	"sap/ui/Device",
	"sap/ui/demo/walkthrough/model/models",
	"sap/ui/model/json/JSONModel",
	"./controller/HelloDialog"
], function(UIComponent, Device, models, JSONModel, HelloDialog) {
	"use strict";
	return UIComponent.extend("sap.ui.demo.walkthrough.Component", {
		metadata: {
			manifest: "json"
		},

		init: function() {
			// call the base component's init function
			UIComponent.prototype.init.apply(this, arguments);
			// set the device model
			this.setModel(models.createDeviceModel(), "device");
			// 给Component组件 设置模型jsonModel
			var oJsonData = { recipient: { name: "World" } };
			var oJSONModel = new JSONModel(oJsonData);
			this.setModel(oJSONModel, "jsonModel");
			//
			this._helloDialog = new HelloDialog(this.getRootControl());
		},

		openHelloDialog: function() {
			this._helloDialog.open();
		},

		exit: function() {
			this._helloDialog.destroy();
			delete this._helloDialog;
		}
	});
});