sap.ui.define([
	"sap/ui/base/ManagedObject",
	"sap/ui/core/Fragment"
], function(ManagedObject, Fragment) {
	"use strict";

	return ManagedObject.extend("sap.ui.demo.walkthrough.controller.HelloDialog", {
		constructor: function(oView) {
			this._oView = oView;
		},
		exit: function() {
			delete this._oView;
		},
		open: function() {
			var oView = this._oView;
			if (!this.oDialog) {
				var oFragmentController = {
					onCloseDialog: function() {
						oView.byId("helloDialog").close();
					}
				};
				this.oDialog = sap.ui.xmlfragment(
					this._oView.getId(),
					"sap.ui.demo.walkthrough.view.HelloDialog",
					oFragmentController
				);
				this._oView.addDependent(this.oDialog);
			}
			this.oDialog.open();
		}
	});
});